﻿using System;
using System.Linq;
using System.Windows;
using System.Windows.Media;
using Telerik.Windows.Documents.Model;

namespace RRTBDemoProject
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            Color foregroundColour = Colors.Cyan;
            Color backgroundColour = Colors.White;
            var font = new FontFamily("Verdana");

            this.htmlDataProvider.Html = "<p><span>Test</span></p><ul><li><span>Testing</span></li></ul><ol><li><span>Testing</span></li><li><span>Test</span></li></ol><p><span>Test</span></p>";

            this.radRichTextBox1.DefaultStyleSettings.SetPropertyValue(Span.UnderlineColorProperty, foregroundColour);
            this.radRichTextBox1.DefaultStyleSettings.SetPropertyValue(Span.ForeColorProperty, foregroundColour);
            this.radRichTextBox1.Background = new SolidColorBrush(backgroundColour);
            this.radRichTextBox1.FontSize = 16d;
            this.radRichTextBox1.FontFamily = new FontFamily(font.Source);

        }
    }
}
